Can I downgrade firmware from v 2.0.9 to v 2.0.8 on Canon 5D2 ?

Started Sep 25, 2011 | Discussions thread
ForumParentFirstPrevious
Flat view
nitroman Regular Member • Posts: 157
Can I downgrade firmware from v 2.0.9 to v 2.0.8 on Canon 5D2 ?

Hi !

I've got a Canon 5D Mark II running the latest firmware v 2.0.9.

However, I'd like to take advantage of Magic Lantern's expanded AEB (Auto Exposure Bracket) function and the latest version of ML only works with firmware 2.0.8.

Is it possible (and easy) to downgrade my firmware to the older version that works with Magic Lantern ?

Any advice would be much appreciated. Thanks ...

Professional photographer specialising in people, places and panoramic imagery
http://www.rodedwards.com

 nitroman's gear list:nitroman's gear list
Canon EOS 5DS
ForumParentFirstPrevious
Flat view
ForumParentFirstPrevious
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark MMy threads
Color scheme? Blue / Yellow